Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004814opensim[REGION] OpenSim Corepublic2010-06-28 05:522014-07-29 13:42
ReporterLaniGlobal 
Assigned ToLaniGlobal 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0004814: World Map Tile Rendering of Prims in Regions is Distorted Color, Luminance, Size, Shape
DescriptionAfter attempting to build a in inworld map symbol/art project, it was found that the map tile distorts prim features by color and size. Also, larger prims could not be rendered on the map. In an attempt to solve the map tile rendering problem, a series of trial-and-error tests over a period of several weeks was performed in a region of OSgrid.

Test performed:
Rezzed an experimental matrix array of cube prims inworld at approximately altitude = 200m, (after discovering approximately 256m to be the maximum map-prim-renderable altitude). Separate blank textured prims used in this test were set to various levels of gray scale, color hue (full bright), size, and transparency. Additionally, several large fixed image particles were rezzed.

Results of test World Map rendering tile versus inworld prim objects:

1. The size of each prim appears to be amplified on the map pixels approximately 2x (doubled) in relative size scale of x and y dimension.

2. The maximum size of a cube prim that could be rendered was found experimentally to be 63.999metres. Due to the scale doubling, this size prim appears to cover approximately 1/4 of the region.

3. The color hue is inverted!
...Color RGB (Prim color R255,G255,B255 = Map color R0,G0,B0)

4. Luminance is Inverted!
... Luminance % (Prim luminance 10% = Map luminance 90%)
(4b) Note Luminance exception:
Extreme ends of the prim luminance (0% and 100%) are shifted on Map luminance rendering approximately 5% toward mid-hue. A 100% white prim becomes almost black map pixels at 5% luminance.

5. No indication was found on the map tiles of any fixed image particles that were tested.

6. Prims that are rotated on the x axis or y axis, appear much smaller, only 1 pixel of the map rendering. This curiosity was not explored completely.

7. Cylinders appear to be rendered as squares on the map.
 
Additional InformationA marked-up image of bird's eye view of camera above the region, with the map up on the same viewer screen, is provided here as a reference to help visualize the experiment and result of the the test.

Personal Note: This is my first posting on the Mantis. Please excuse any errors I may have made in assigning this issue to the proper category.
TagsNo tags attached.
Git Revision or version numberUnknown
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filesjpg file icon OpenSim_world_map_tile_Color_prim_color_inverted_size_distorted.jpg [^] (299,932 bytes) 2010-06-28 05:52

- Relationships

-  Notes
(0015776)
LaniGlobal (reporter)
2010-06-28 18:06

Description of Attached file image.
 OpenSim_world_map_tile_Color_prim_color_inverted_size_distorted.jpg

A screen shot of viewer (using Hippo).

Camera viewpoint: Agent's cam is flying, looking down, centrally located at a high position, approximately 400m altitude over the region, with far Draw Distance.

What the image shows: The region with the prim test array toward the left side of the screen shot. Prim test array is at 200m altitude. Some terrain, other regions, and void water are shown below the prim test array. Right side of image shows the viewer's active OSgrid World Map centered on the map tile of this region.

Details: Some arrows point from the test prim array to the map tile rendering of the prims.

Note: The 63mx63m square test prim on the upper left side of image (centered in the north-west quadrant of the region) is a prim that has been set to 50% transparent. It shows opaque in the map.
(0016528)
Teravus (administrator)
2010-08-19 22:19

Just wanted to let you know that this is acknowledged. Thanks for good work testing this.
(0016545)
aiaustin (developer)
2010-08-20 13:09
edited on: 2010-08-20 13:20

Good observations. I always wondered why the object overlay on Map tiles looks badly distorted. If each prim is doubled that would explain the many jaggies we get on Openvue map in Opensim compared to the nearly identical map of our Vue Second Life build.

See comparison of

http://vue.ed.ac.uk/openvue/img/2009-02-03-Openvue-Map.jpg [^] 0.6.x

http://vue.ed.ac.uk/openvue/ [^] Near bottom. 0.7

http://vue.ed.ac.uk/sl/plan/vue-map-current.jpg [^] Second Life

(0016546)
aiaustin (developer)
2010-08-20 13:14

I think your region map tile test build could make a fantastic OAR to contribute on the Opensim Wiki.
(0016577)
LaniGlobal (reporter)
2010-08-23 04:48

to Teravus: Thank you for the acknowledgment of this. I offer inworld (OSgrid or HyperGrid) assistance to the developers for testing any possible patches or fixes for this issue.
(0016578)
LaniGlobal (reporter)
2010-08-23 04:52

to aiaustin: If you would like a linked set of prims of my original map tile test build, please contact me via IM inworld (OSgrid avatar: Lani Global). Sorry, I do not have an OAR of this test build, but the linked prim set is easy rezz and to set up. Feel free to make an OAR of it.
(0025317)
LaniGlobal (reporter)
2014-02-25 16:22

This has been solved by the new Map Tile methods in v0.8

- Issue History
Date Modified Username Field Change
2010-06-28 05:52 LaniGlobal New Issue
2010-06-28 05:52 LaniGlobal File Added: OpenSim_world_map_tile_Color_prim_color_inverted_size_distorted.jpg
2010-06-28 05:52 LaniGlobal Git Revision => Unknown
2010-06-28 05:52 LaniGlobal SVN Revision => 0
2010-06-28 05:52 LaniGlobal Run Mode => Grid (Multiple Regions per Sim)
2010-06-28 05:52 LaniGlobal Physics Engine => BasicPhysics
2010-06-28 05:52 LaniGlobal Environment => Unknown
2010-06-28 05:52 LaniGlobal Mono Version => None
2010-06-28 18:06 LaniGlobal Note Added: 0015776
2010-08-19 22:18 Teravus Status new => acknowledged
2010-08-19 22:19 Teravus Note Added: 0016528
2010-08-20 13:09 aiaustin Note Added: 0016545
2010-08-20 13:11 aiaustin Note Edited: 0016545
2010-08-20 13:14 aiaustin Note Added: 0016546
2010-08-20 13:17 aiaustin Note Edited: 0016545
2010-08-20 13:20 aiaustin Note Edited: 0016545
2010-08-23 04:48 LaniGlobal Note Added: 0016577
2010-08-23 04:52 LaniGlobal Note Added: 0016578
2014-02-25 16:22 LaniGlobal Note Added: 0025317
2014-02-25 16:22 LaniGlobal Status acknowledged => resolved
2014-02-25 16:22 LaniGlobal Fixed in Version => master (dev code)
2014-02-25 16:22 LaniGlobal Resolution open => fixed
2014-02-25 16:22 LaniGlobal Assigned To => LaniGlobal
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker